org.richfaces.fragment.inputNumberSpinner

## Class RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions

- java.lang.Object
- - org.richfaces.fragment.inputNumberSlider.AbstractNumberInput.AdvancedNumberInputInteractions
  - - org.richfaces.fragment.inputNumberSpinner.RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesInputNumberSpinner

      public class RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions
      extends AbstractNumberInput.AdvancedNumberInputInteractions
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getArrowDecreaseElement()`
    `org.openqa.selenium.WebElement` | `getArrowIncreaseElement()`
    `TextInputComponentImpl` | `getInput()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `boolean` | `isVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions

          public RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions()

  - ### Method Detail

    - #### getArrowDecreaseElement

          public org.openqa.selenium.WebElement getArrowDecreaseElement()

      Specified by:
        `getArrowDecreaseElement` in class `AbstractNumberInput.AdvancedNumberInputInteractions`

    - #### getArrowIncreaseElement

          public org.openqa.selenium.WebElement getArrowIncreaseElement()

      Specified by:
        `getArrowIncreaseElement` in class `AbstractNumberInput.AdvancedNumberInputInteractions`

    - #### getInput

          public TextInputComponentImpl getInput()

      Specified by:
        `getInput` in class `AbstractNumberInput.AdvancedNumberInputInteractions`

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.